Bug 1005066 - sos launched via ssh gets stuck on selinux plugin
sos launched via ssh gets stuck on selinux plugin
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos (Show other bugs)
6.5
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Bryn M. Reeves
BaseOS QE - Apps
:
: 1005065 (view as bug list)
Depends On:
Blocks: 962677
  Show dependency treegraph
 
Reported: 2013-09-06 03:35 EDT by Martin Pavlik
Modified: 2015-04-06 23:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 04:50:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps_aux_output (11.60 KB, text/plain)
2013-09-06 07:10 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2013-09-06 03:35:53 EDT
Description of problem:
This bug originates in bug 962677

If following command is run 
ssh $HOST_IP "/usr/sbin/sosreport -vvvvv --batch -k general.all_logs=True -o selinux --profile"

it gets stuck for long time (maybe forever) here

"collecting output of 'ausearch -m avc,user_avc -ts today'"


on the opposite if I run it directly on node it returns result immediately

ausearch -m avc,user_avc -ts today
<no matches>

if there is no matches reurn code = 1

[root@dell-r210ii-05 ~]# ausearch -m avc,user_avc -ts today; echo $?
<no matches>
1

Version-Release number of selected component (if applicable):
sos-2.2-44.el6.noarch

[root@mp-rhevm33 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.5 Beta (Santiago)


How reproducible:
100%

Steps to Reproduce:
1. run ssh $HOST_IP "/usr/sbin/sosreport -vvvvv --batch -k general.all_logs=True -o selinux --profile"

Actual results:
it gets stuck for long time (maybe forever) here

Expected results:
valid result returned in reasonable amount of time

Additional info:

please instruct me on how I can provide more information for invetigation

here is console output

[mpavlik@mpavlik-laptop Downloads]$ ssh rhevm33 "/usr/sbin/sosreport -vvvvv --batch -k general.all_logs=True -o selinux --profile"
Warning: Permanently added '10.34.63.69' (RSA) to the list of known hosts.
root@10.34.63.69's password: 
unable to set option for disabled or non-existing plugin (general)

sosreport (version 2.2)


  This command will collect diagnostic and configuration
information from this Red Hat Enterprise Linux system and
installed applications.

  An archive containing the collected information will be
generated in /tmp and may be provided to a Red Hat support
representative.

  Any information provided to Red Hat will be treated in
accordance with the published support policies at:


  https://access.redhat.com/support/

  The generated archive may contain data considered
sensitive and its content should be reviewed by the
originating organization before being passed to any third
party.

  No changes will be made to system configuration.


  Running plugins. Please wait ...

  Completed [1/1] ...      copying file /etc/selinux/restorecond.conf
copying file /etc/selinux/config
copying file /etc/selinux/targeted/contexts/dbus_contexts
copying file /etc/selinux/targeted/contexts/default_type
copying file /etc/selinux/targeted/contexts/files/file_contexts.local
copying file /etc/selinux/targeted/contexts/files/media
copying file /etc/selinux/targeted/contexts/files/file_contexts.homedirs
copying file /etc/selinux/targeted/contexts/files/file_contexts
copying file /etc/selinux/targeted/contexts/virtual_domain_context
copying file /etc/selinux/targeted/contexts/x_contexts
copying file /etc/selinux/targeted/contexts/securetty_types
copying file /etc/selinux/targeted/contexts/failsafe_context
copying file /etc/selinux/targeted/contexts/default_contexts
copying file /etc/selinux/targeted/contexts/sepgsql_contexts
copying file /etc/selinux/targeted/contexts/virtual_image_context
copying file /etc/selinux/targeted/contexts/removable_context
copying file /etc/selinux/targeted/contexts/users/unconfined_u
copying file /etc/selinux/targeted/contexts/users/staff_u
copying file /etc/selinux/targeted/contexts/users/xguest_u
copying file /etc/selinux/targeted/contexts/users/guest_u
copying file /etc/selinux/targeted/contexts/users/root
copying file /etc/selinux/targeted/contexts/users/user_u
copying file /etc/selinux/targeted/contexts/netfilter_contexts
copying file /etc/selinux/targeted/contexts/customizable_types
copying file /etc/selinux/targeted/contexts/userhelper_context
copying file /etc/selinux/targeted/contexts/initrc_context
copying file /etc/selinux/targeted/seusers
copying file /etc/selinux/targeted/modules/semanage.read.LOCK
copying file /etc/selinux/targeted/modules/active/commit_num
copying file /etc/selinux/targeted/modules/active/booleans.local
copying file /etc/selinux/targeted/modules/active/file_contexts.local
copying file /etc/selinux/targeted/modules/active/file_contexts.homedirs
copying file /etc/selinux/targeted/modules/active/homedir_template
copying file /etc/selinux/targeted/modules/active/users_extra
copying file /etc/selinux/targeted/modules/active/seusers.final
copying file /etc/selinux/targeted/modules/active/seusers
copying file /etc/selinux/targeted/modules/active/modules/amtu.pp
copying file /etc/selinux/targeted/modules/active/modules/rpcbind.pp
copying file /etc/selinux/targeted/modules/active/modules/unlabelednet.pp
copying file /etc/selinux/targeted/modules/active/modules/ppp.pp
copying file /etc/selinux/targeted/modules/active/modules/cvs.pp
copying file /etc/selinux/targeted/modules/active/modules/pads.pp
copying file /etc/selinux/targeted/modules/active/modules/pkcsslotd.pp
copying file /etc/selinux/targeted/modules/active/modules/ktalk.pp
copying file /etc/selinux/targeted/modules/active/modules/icecast.pp
copying file /etc/selinux/targeted/modules/active/modules/unprivuser.pp
copying file /etc/selinux/targeted/modules/active/modules/cdrecord.pp
copying file /etc/selinux/targeted/modules/active/modules/clogd.pp
copying file /etc/selinux/targeted/modules/active/modules/cachefilesd.pp
copying file /etc/selinux/targeted/modules/active/modules/rhev.pp
copying file /etc/selinux/targeted/modules/active/modules/kdump.pp
copying file /etc/selinux/targeted/modules/active/modules/bugzilla.pp
copying file /etc/selinux/targeted/modules/active/modules/sasl.pp
copying file /etc/selinux/targeted/modules/active/modules/xen.pp
copying file /etc/selinux/targeted/modules/active/modules/unconfined.pp
copying file /etc/selinux/targeted/modules/active/modules/privoxy.pp
copying file /etc/selinux/targeted/modules/active/modules/slocate.pp
copying file /etc/selinux/targeted/modules/active/modules/ipsec.pp
copying file /etc/selinux/targeted/modules/active/modules/keystone.pp
copying file /etc/selinux/targeted/modules/active/modules/rwho.pp
copying file /etc/selinux/targeted/modules/active/modules/audioentropy.pp
copying file /etc/selinux/targeted/modules/active/modules/passenger.pp
copying file /etc/selinux/targeted/modules/active/modules/howl.pp
copying file /etc/selinux/targeted/modules/active/modules/gpm.pp
copying file /etc/selinux/targeted/modules/active/modules/mailman.pp
copying file /etc/selinux/targeted/modules/active/modules/fprintd.pp
copying file /etc/selinux/targeted/modules/active/modules/mplayer.pp
copying file /etc/selinux/targeted/modules/active/modules/telnet.pp
copying file /etc/selinux/targeted/modules/active/modules/mediawiki.pp
copying file /etc/selinux/targeted/modules/active/modules/ntop.pp
copying file /etc/selinux/targeted/modules/active/modules/smstools.pp
copying file /etc/selinux/targeted/modules/active/modules/tuned.pp
copying file /etc/selinux/targeted/modules/active/modules/uml.pp
copying file /etc/selinux/targeted/modules/active/modules/usernetctl.pp
copying file /etc/selinux/targeted/modules/active/modules/userhelper.pp
copying file /etc/selinux/targeted/modules/active/modules/openct.pp
copying file /etc/selinux/targeted/modules/active/modules/rhnsd.pp
copying file /etc/selinux/targeted/modules/active/modules/zarafa.pp
copying file /etc/selinux/targeted/modules/active/modules/logadm.pp
copying file /etc/selinux/targeted/modules/active/modules/nslcd.pp
copying file /etc/selinux/targeted/modules/active/modules/openshift.pp
copying file /etc/selinux/targeted/modules/active/modules/ptchown.pp
copying file /etc/selinux/targeted/modules/active/modules/vdagent.pp
copying file /etc/selinux/targeted/modules/active/modules/squid.pp
copying file /etc/selinux/targeted/modules/active/modules/uuidd.pp
copying file /etc/selinux/targeted/modules/active/modules/certmaster.pp
copying file /etc/selinux/targeted/modules/active/modules/ncftool.pp
copying file /etc/selinux/targeted/modules/active/modules/varnishd.pp
copying file /etc/selinux/targeted/modules/active/modules/jabber.pp
copying file /etc/selinux/targeted/modules/active/modules/irc.pp
copying file /etc/selinux/targeted/modules/active/modules/modemmanager.pp
copying file /etc/selinux/targeted/modules/active/modules/automount.pp
copying file /etc/selinux/targeted/modules/active/modules/dcc.pp
copying file /etc/selinux/targeted/modules/active/modules/tmpreaper.pp
copying file /etc/selinux/targeted/modules/active/modules/nsplugin.pp
copying file /etc/selinux/targeted/modules/active/modules/firewallgui.pp
copying file /etc/selinux/targeted/modules/active/modules/lldpad.pp
copying file /etc/selinux/targeted/modules/active/modules/rlogin.pp
copying file /etc/selinux/targeted/modules/active/modules/bitlbee.pp
copying file /etc/selinux/targeted/modules/active/modules/milter.pp
copying file /etc/selinux/targeted/modules/active/modules/numad.pp
copying file /etc/selinux/targeted/modules/active/modules/cyrus.pp
copying file /etc/selinux/targeted/modules/active/modules/memcached.pp
copying file /etc/selinux/targeted/modules/active/modules/gitosis.pp
copying file /etc/selinux/targeted/modules/active/modules/quantum.pp
copying file /etc/selinux/targeted/modules/active/modules/mono.pp
copying file /etc/selinux/targeted/modules/active/modules/mozilla.pp
copying file /etc/selinux/targeted/modules/active/modules/webadm.pp
copying file /etc/selinux/targeted/modules/active/modules/wdmd.pp
copying file /etc/selinux/targeted/modules/active/modules/rshd.pp
copying file /etc/selinux/targeted/modules/active/modules/cipe.pp
copying file /etc/selinux/targeted/modules/active/modules/lpd.pp
copying file /etc/selinux/targeted/modules/active/modules/snort.pp
copying file /etc/selinux/targeted/modules/active/modules/xguest.pp
copying file /etc/selinux/targeted/modules/active/modules/virt.pp
copying file /etc/selinux/targeted/modules/active/modules/procmail.pp
copying file /etc/selinux/targeted/modules/active/modules/openvswitch.pp
copying file /etc/selinux/targeted/modules/active/modules/munin.pp
copying file /etc/selinux/targeted/modules/active/modules/ntp.pp
copying file /etc/selinux/targeted/modules/active/modules/publicfile.pp
copying file /etc/selinux/targeted/modules/active/modules/postgrey.pp
copying file /etc/selinux/targeted/modules/active/modules/fetchmail.pp
copying file /etc/selinux/targeted/modules/active/modules/hal.pp
copying file /etc/selinux/targeted/modules/active/modules/ulogd.pp
copying file /etc/selinux/targeted/modules/active/modules/nagios.pp
copying file /etc/selinux/targeted/modules/active/modules/sysadm_secadm.pp
copying file /etc/selinux/targeted/modules/active/modules/apcupsd.pp
copying file /etc/selinux/targeted/modules/active/modules/nova.pp
copying file /etc/selinux/targeted/modules/active/modules/stunnel.pp
copying file /etc/selinux/targeted/modules/active/modules/radvd.pp
copying file /etc/selinux/targeted/modules/active/modules/kerberos.pp
copying file /etc/selinux/targeted/modules/active/modules/tor.pp
copying file /etc/selinux/targeted/modules/active/modules/zebra.pp
copying file /etc/selinux/targeted/modules/active/modules/exim.pp
copying file /etc/selinux/targeted/modules/active/modules/certwatch.pp
copying file /etc/selinux/targeted/modules/active/modules/ethereal.pp
copying file /etc/selinux/targeted/modules/active/modules/openoffice.pp
copying file /etc/selinux/targeted/modules/active/modules/dspam.pp
copying file /etc/selinux/targeted/modules/active/modules/certmonger.pp
copying file /etc/selinux/targeted/modules/active/modules/bluetooth.pp
copying file /etc/selinux/targeted/modules/active/modules/postgresql.pp
copying file /etc/selinux/targeted/modules/active/modules/openvpn.pp
copying file /etc/selinux/targeted/modules/active/modules/samba.pp
copying file /etc/selinux/targeted/modules/active/modules/accountsd.pp
copying file /etc/selinux/targeted/modules/active/modules/java.pp
copying file /etc/selinux/targeted/modules/active/modules/ccs.pp
copying file /etc/selinux/targeted/modules/active/modules/watchdog.pp
copying file /etc/selinux/targeted/modules/active/modules/xfs.pp
copying file /etc/selinux/targeted/modules/active/modules/fail2ban.pp
copying file /etc/selinux/targeted/modules/active/modules/mysql.pp
copying file /etc/selinux/targeted/modules/active/modules/sosreport.pp
copying file /etc/selinux/targeted/modules/active/modules/smokeping.pp
copying file /etc/selinux/targeted/modules/active/modules/cmirrord.pp
copying file /etc/selinux/targeted/modules/active/modules/tgtd.pp
copying file /etc/selinux/targeted/modules/active/modules/rdisc.pp
copying file /etc/selinux/targeted/modules/active/modules/zabbix.pp
copying file /etc/selinux/targeted/modules/active/modules/condor.pp
copying file /etc/selinux/targeted/modules/active/modules/gpg.pp
copying file /etc/selinux/targeted/modules/active/modules/kerneloops.pp
copying file /etc/selinux/targeted/modules/active/modules/denyhosts.pp
copying file /etc/selinux/targeted/modules/active/modules/ksmtuned.pp
copying file /etc/selinux/targeted/modules/active/modules/sectoolm.pp
copying file /etc/selinux/targeted/modules/active/modules/roundup.pp
copying file /etc/selinux/targeted/modules/active/modules/pegasus.pp
copying file /etc/selinux/targeted/modules/active/modules/dbskk.pp
copying file /etc/selinux/targeted/modules/active/modules/sanlock.pp
copying file /etc/selinux/targeted/modules/active/modules/comsat.pp
copying file /etc/selinux/targeted/modules/active/modules/tvtime.pp
copying file /etc/selinux/targeted/modules/active/modules/portreserve.pp
copying file /etc/selinux/targeted/modules/active/modules/piranha.pp
copying file /etc/selinux/targeted/modules/active/modules/mpd.pp
copying file /etc/selinux/targeted/modules/active/modules/awstats.pp
copying file /etc/selinux/targeted/modules/active/modules/aide.pp
copying file /etc/selinux/targeted/modules/active/modules/staff.pp
copying file /etc/selinux/targeted/modules/active/modules/webalizer.pp
copying file /etc/selinux/targeted/modules/active/modules/glance.pp
copying file /etc/selinux/targeted/modules/active/modules/drbd.pp
copying file /etc/selinux/targeted/modules/active/modules/inn.pp
copying file /etc/selinux/targeted/modules/active/modules/postfix.pp
copying file /etc/selinux/targeted/modules/active/modules/cloudform.pp
copying file /etc/selinux/targeted/modules/active/modules/pyzor.pp
copying file /etc/selinux/targeted/modules/active/modules/permissivedomains.pp
copying file /etc/selinux/targeted/modules/active/modules/qmail.pp
copying file /etc/selinux/targeted/modules/active/modules/apache.pp
copying file /etc/selinux/targeted/modules/active/modules/consolekit.pp
copying file /etc/selinux/targeted/modules/active/modules/smartmon.pp
copying file /etc/selinux/targeted/modules/active/modules/portmap.pp
copying file /etc/selinux/targeted/modules/active/modules/guest.pp
copying file /etc/selinux/targeted/modules/active/modules/devicekit.pp
copying file /etc/selinux/targeted/modules/active/modules/cups.pp
copying file /etc/selinux/targeted/modules/active/modules/smoltclient.pp
copying file /etc/selinux/targeted/modules/active/modules/unconfineduser.pp
copying file /etc/selinux/targeted/modules/active/modules/dnsmasq.pp
copying file /etc/selinux/targeted/modules/active/modules/w3c.pp
copying file /etc/selinux/targeted/modules/active/modules/matahari.pp
copying file /etc/selinux/targeted/modules/active/modules/rhgb.pp
copying file /etc/selinux/targeted/modules/active/modules/chronyd.pp
copying file /etc/selinux/targeted/modules/active/modules/netlabel.pp
copying file /etc/selinux/targeted/modules/active/modules/sensord.pp
copying file /etc/selinux/targeted/modules/active/modules/oddjob.pp
copying file /etc/selinux/targeted/modules/active/modules/spamassassin.pp
copying file /etc/selinux/targeted/modules/active/modules/snmp.pp
copying file /etc/selinux/targeted/modules/active/modules/usbmodules.pp
copying file /etc/selinux/targeted/modules/active/modules/dirsrv-admin.pp
copying file /etc/selinux/targeted/modules/active/modules/gnomeclock.pp
copying file /etc/selinux/targeted/modules/active/modules/cyphesis.pp
copying file /etc/selinux/targeted/modules/active/modules/wine.pp
copying file /etc/selinux/targeted/modules/active/modules/tcpd.pp
copying file /etc/selinux/targeted/modules/active/modules/ftp.pp
copying file /etc/selinux/targeted/modules/active/modules/podsleuth.pp
copying file /etc/selinux/targeted/modules/active/modules/rssh.pp
copying file /etc/selinux/targeted/modules/active/modules/seunshare.pp
copying file /etc/selinux/targeted/modules/active/modules/vmware.pp
copying file /etc/selinux/targeted/modules/active/modules/shutdown.pp
copying file /etc/selinux/targeted/modules/active/modules/dhcp.pp
copying file /etc/selinux/targeted/modules/active/modules/l2tpd.pp
copying file /etc/selinux/targeted/modules/active/modules/dirsrv.pp
copying file /etc/selinux/targeted/modules/active/modules/usbmuxd.pp
copying file /etc/selinux/targeted/modules/active/modules/policykit.pp
copying file /etc/selinux/targeted/modules/active/modules/razor.pp
copying file /etc/selinux/targeted/modules/active/modules/amanda.pp
copying file /etc/selinux/targeted/modules/active/modules/psad.pp
copying file /etc/selinux/targeted/modules/active/modules/radius.pp
copying file /etc/selinux/targeted/modules/active/modules/boinc.pp
copying file /etc/selinux/targeted/modules/active/modules/slpd.pp
copying file /etc/selinux/targeted/modules/active/modules/daemontools.pp
copying file /etc/selinux/targeted/modules/active/modules/rhcs.pp
copying file /etc/selinux/targeted/modules/active/modules/vhostmd.pp
copying file /etc/selinux/targeted/modules/active/modules/qemu.pp
copying file /etc/selinux/targeted/modules/active/modules/hddtemp.pp
copying file /etc/selinux/targeted/modules/active/modules/nis.pp
copying file /etc/selinux/targeted/modules/active/modules/courier.pp
copying file /etc/selinux/targeted/modules/active/modules/openshift-origin.pp
copying file /etc/selinux/targeted/modules/active/modules/rsync.pp
copying file /etc/selinux/targeted/modules/active/modules/afs.pp
copying file /etc/selinux/targeted/modules/active/modules/tftp.pp
copying file /etc/selinux/targeted/modules/active/modules/chrome.pp
copying file /etc/selinux/targeted/modules/active/modules/games.pp
copying file /etc/selinux/targeted/modules/active/modules/qpidd.pp
copying file /etc/selinux/targeted/modules/active/modules/ricci.pp
copying file /etc/selinux/targeted/modules/active/modules/bcfg2.pp
copying file /etc/selinux/targeted/modules/active/modules/bind.pp
copying file /etc/selinux/targeted/modules/active/modules/pingd.pp
copying file /etc/selinux/targeted/modules/active/modules/dovecot.pp
copying file /etc/selinux/targeted/modules/active/modules/mrtg.pp
copying file /etc/selinux/targeted/modules/active/modules/ctdbd.pp
copying file /etc/selinux/targeted/modules/active/modules/kdumpgui.pp
copying file /etc/selinux/targeted/modules/active/modules/canna.pp
copying file /etc/selinux/targeted/modules/active/modules/git.pp
copying file /etc/selinux/targeted/modules/active/modules/svnserve.pp
copying file /etc/selinux/targeted/modules/active/modules/sssd.pp
copying file /etc/selinux/targeted/modules/active/modules/cgroup.pp
copying file /etc/selinux/targeted/modules/active/modules/livecd.pp
copying file /etc/selinux/targeted/modules/active/modules/telepathy.pp
copying file /etc/selinux/targeted/modules/active/modules/sambagui.pp
copying file /etc/selinux/targeted/modules/active/modules/sandbox.pp
copying file /etc/selinux/targeted/modules/active/modules/asterisk.pp
copying file /etc/selinux/targeted/modules/active/modules/antivirus.pp
copying file /etc/selinux/targeted/modules/active/modules/glusterd.pp
copying file /etc/selinux/targeted/modules/active/modules/vpn.pp
copying file /etc/selinux/targeted/modules/active/modules/sblim.pp
copying file /etc/selinux/targeted/modules/active/modules/pulseaudio.pp
copying file /etc/selinux/targeted/modules/active/modules/gpsd.pp
copying file /etc/selinux/targeted/modules/active/modules/plymouthd.pp
copying file /etc/selinux/targeted/modules/active/modules/fcoemon.pp
copying file /etc/selinux/targeted/modules/active/modules/dictd.pp
copying file /etc/selinux/targeted/modules/active/modules/kismet.pp
copying file /etc/selinux/targeted/modules/active/modules/iscsi.pp
copying file /etc/selinux/targeted/modules/active/modules/ldap.pp
copying file /etc/selinux/targeted/modules/active/modules/calamaris.pp
copying file /etc/selinux/targeted/modules/active/modules/pcscd.pp
copying file /etc/selinux/targeted/modules/active/modules/remotelogin.pp
copying file /etc/selinux/targeted/modules/active/modules/puppet.pp
copying file /etc/selinux/targeted/modules/active/modules/screen.pp
copying file /etc/selinux/targeted/modules/active/modules/uucp.pp
copying file /etc/selinux/targeted/modules/active/modules/oracleasm.pp
copying file /etc/selinux/targeted/modules/active/modules/nx.pp
copying file /etc/selinux/targeted/modules/active/modules/likewise.pp
copying file /etc/selinux/targeted/modules/active/modules/aiccu.pp
copying file /etc/selinux/targeted/modules/active/modules/lircd.pp
copying file /etc/selinux/targeted/modules/active/modules/cfengine.pp
copying file /etc/selinux/targeted/modules/active/modules/finger.pp
copying file /etc/selinux/targeted/modules/active/modules/arpwatch.pp
copying file /etc/selinux/targeted/modules/active/modules/rhsmcertd.pp
copying file /etc/selinux/targeted/modules/active/modules/cpufreqselector.pp
copying file /etc/selinux/targeted/modules/active/modules/sge.pp
copying file /etc/selinux/targeted/modules/active/modules/prelude.pp
copying file /etc/selinux/targeted/modules/active/modules/lockdev.pp
copying file /etc/selinux/targeted/modules/active/modules/abrt.pp
copying file /etc/selinux/targeted/modules/active/modules/rtkit.pp
copying file /etc/selinux/targeted/modules/active/modules/zosremote.pp
copying file /etc/selinux/targeted/modules/active/modules/soundserver.pp
copying file /etc/selinux/targeted/modules/active/modules/nut.pp
copying file /etc/selinux/targeted/modules/active/modules/avahi.pp
copying file /etc/selinux/targeted/modules/active/modules/cobbler.pp
copying file /etc/selinux/targeted/modules/active/modules/sysstat.pp
copying file /etc/selinux/targeted/modules/active/modules/execmem.pp
copying file /etc/selinux/targeted/modules/active/modules/gnome.pp
copying file /etc/selinux/targeted/modules/active/modules/ada.pp
copying file /etc/selinux/targeted/modules/active/modules/namespace.pp
copying file /etc/selinux/targeted/modules/active/netfilter_contexts
copying file /etc/selinux/targeted/modules/active/policy.kern
copying file /etc/selinux/targeted/modules/active/file_contexts.template
copying file /etc/selinux/targeted/modules/active/base.pp
copying file /etc/selinux/targeted/modules/active/file_contexts
copying file /etc/selinux/targeted/modules/semanage.trans.LOCK
copying file /etc/selinux/targeted/setrans.conf
copying file /etc/selinux/targeted/policy/policy.24
copying file /etc/selinux/semanage.conf
copying file /etc/selinux/restorecond_user.conf
collecting output of 'sestatus -b'
collecting output of 'semodule -l'
collecting output of 'selinuxdefcon root'
collecting output of 'selinuxconlist root'
collecting output of 'ausearch -m avc,user_avc -ts today'
^CKilled by signal 2.
Comment 1 Martin Pavlik 2013-09-06 03:41:57 EDT
*** Bug 1005065 has been marked as a duplicate of this bug. ***
Comment 2 Bryn M. Reeves 2013-09-06 05:29:50 EDT
- is '--profile' necessary to reproduce?

- what happens if you run the ausearch command on the problem host via ssh?

I'm assuming the -k general.. stuff is irrelevant? It's best to remove this from the bug reports as it can be confusing (it should have no effect at all on the test you are carrying out).

Please can you capture the output of "ps ax --forest" and attach it to this bug.
Comment 3 Martin Pavlik 2013-09-06 07:09:46 EDT
it reproduces also if the command is reduced to
ssh 10.34.66.51 "/usr/sbin/sosreport -vvvvv --batch -o selinux"

if I use
ssh 10.34.66.51 "ausearch -m avc,user_avc -ts today"
it gets stuck

ps ax --forest from affected node is attahced, it was taken while running ssh 10.34.66.51 "/usr/sbin/sosreport -vvvvv --batch -o selinux" from another node
Comment 4 Martin Pavlik 2013-09-06 07:10:14 EDT
Created attachment 794666 [details]
ps_aux_output
Comment 5 Bryn M. Reeves 2013-09-06 07:22:57 EDT
This seems more of a bug in ausearch than sos then. If anything we should use this bugzilla to backport the command timeout support we now have in upstream sos-3.x.

Have you filed a bug against the audit component for the ausearch-over-ssh problem?
Comment 6 Martin Pavlik 2013-09-06 07:42:21 EDT
Not yet, can we just reassign this one?
Comment 7 Bryn M. Reeves 2013-09-06 07:52:01 EDT
Not if we're going to use it to add generic timeout support to sos (which would prevent this whole class of problems by abandoning processes that go out-to-lunch on us).
Comment 8 Martin Pavlik 2013-09-06 08:39:38 EDT
bug 1005202, in order to solve problem with ausearch command
Comment 9 David Kutálek 2013-09-09 04:17:48 EDT
I would prefer creating a new bug clearly stating that it is RFE for adding command timeout feature. For that feature, all the details from above comments are unnecessary and will just eat our time later when processing the bug.
Comment 10 Martin Pavlik 2013-09-09 04:50:49 EDT
Created bug 1005703 as an RFE for backporting timeout option, closing this BZ, since there is no point in keeping it open.

Note You need to log in before you can comment on or make changes to this bug.